/*! Built with http://stenciljs.com */
(function(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCoreSsr, appCorePolyfilled, hydratedCssClass, components) {

  function init(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCorePolyfilled, hydratedCssClass, components, HTMLElementPrototype, App, x, y, scriptElm) {
    // create global namespace if it doesn't already exist
    App = win[namespace] = win[namespace] || {};
    App.components = components;
    y = components.filter(function (c) { return c[2]; }).map(function (c) { return c[0]; });
    if (y.length) {
        // auto hide components until they been fully hydrated
        // reusing the "x" and "i" variables from the args for funzies
        x = doc.createElement('style');
        x.innerHTML = y.join() + '{visibility:hidden}.' + hydratedCssClass + '{visibility:inherit}';
        x.setAttribute('data-styles', '');
        doc.head.insertBefore(x, doc.head.firstChild);
    }
    createComponentOnReadyPrototype(win, namespace, HTMLElementPrototype);
    resourcesUrl = resourcesUrl || App.resourcesUrl;
    // figure out the script element for this current script
    y = doc.querySelectorAll('script');
    for (x = y.length - 1; x >= 0; x--) {
        scriptElm = y[x];
        if (scriptElm.src || scriptElm.hasAttribute('data-resources-url')) {
            break;
        }
    }
    // get the resource path attribute on this script element
    y = scriptElm.getAttribute('data-resources-url');
    if (!resourcesUrl && y) {
        // the script element has a data-resources-url attribute, always use that
        resourcesUrl = y;
    }
    if (!resourcesUrl && scriptElm.src) {
        // we don't have an exact resourcesUrl, so let's
        // figure it out relative to this script's src and app's filesystem namespace
        y = scriptElm.src.split('/').slice(0, -1);
        resourcesUrl = (y.join('/')) + (y.length ? '/' : '') + fsNamespace + '/';
    }
    // request the core this browser needs
    // test for native support of custom elements and fetch
    // if either of those are not supported, then use the core w/ polyfills
    // also check if the page was build with ssr or not
    x = doc.createElement('script');
    if (usePolyfills(win, win.location, x, 'import("")')) {
        // requires the es5/polyfilled core
        x.src = resourcesUrl + appCorePolyfilled;
    }
    else {
        // let's do this!
        x.src = resourcesUrl + appCore;
        x.setAttribute('type', 'module');
        x.setAttribute('crossorigin', true);
    }
    x.setAttribute('data-resources-url', resourcesUrl);
    x.setAttribute('data-namespace', fsNamespace);
    doc.head.appendChild(x);
}
function usePolyfills(win, location, scriptElm, dynamicImportTest) {
    // fyi, dev mode has verbose if/return statements
    // but it minifies to a nice 'lil one-liner ;)
    if (location.search.indexOf('core=esm') > 0) {
        // force esm build
        return false;
    }
    if ((location.search.indexOf('core=es5') > 0) ||
        (location.protocol === 'file:') ||
        (!(win.customElements && win.customElements.define)) ||
        (!win.fetch) ||
        (!(win.CSS && win.CSS.supports && win.CSS.supports('color', 'var(--c)'))) ||
        (!('noModule' in scriptElm))) {
        // es5 build w/ polyfills
        return true;
    }
    // final test to see if this browser support dynamic imports
    return doesNotSupportsDynamicImports(dynamicImportTest);
}
function doesNotSupportsDynamicImports(dynamicImportTest) {
    try {
        new Function(dynamicImportTest);
        return false;
    }
    catch (e) { }
    return true;
}
function createComponentOnReadyPrototype(win, namespace, HTMLElementPrototype) {
    (win['s-apps'] = win['s-apps'] || []).push(namespace);
    if (!HTMLElementPrototype.componentOnReady) {
        HTMLElementPrototype.componentOnReady = function componentOnReady() {
            /*tslint:disable*/
            var elm = this;
            function executor(resolve) {
                if (elm.nodeName.indexOf('-') > 0) {
                    // window hasn't loaded yet and there's a
                    // good chance this is a custom element
                    var apps = win['s-apps'];
                    var appsReady = 0;
                    // loop through all the app namespaces
                    for (var i = 0; i < apps.length; i++) {
                        // see if this app has "componentOnReady" setup
                        if (win[apps[i]].componentOnReady) {
                            // this app's core has loaded call its "componentOnReady"
                            if (win[apps[i]].componentOnReady(elm, resolve)) {
                                // this component does belong to this app and would
                                // have fired off the resolve fn
                                // let's stop here, we're good
                                return;
                            }
                            appsReady++;
                        }
                    }
                    if (appsReady < apps.length) {
                        // not all apps are ready yet
                        // add it to the queue to be figured out when they are
                        (win['s-cr'] = win['s-cr'] || []).push([elm, resolve]);
                        return;
                    }
                }
                // not a recognized app component
                resolve(null);
            }
            // callback wasn't provided, let's return a promise
            if (win.Promise) {
                // use native/polyfilled promise
                return new win.Promise(executor);
            }
            // promise may not have been polyfilled yet
            return { then: executor };
        };
    }
}


  init(win, doc, namespace, fsNamespace, resourcesUrl, appCore, appCoreSsr, appCorePolyfilled, hydratedCssClass, components);

  })(window, document, "BlazeAtoms","blaze-atoms",0,"blaze-atoms.core.js","es5-build-disabled.js","hydrated",[["blaze-accordion","blaze-accordion"],["blaze-accordion-pane","blaze-accordion-pane",0,[["_isOpen",5],["close",6],["header",1,0,1,2],["isOpen",6],["open",1,0,1,3],["show",6]]],["blaze-address","blaze-address"],["blaze-address-heading","blaze-address-heading"],["blaze-alert","blaze-alert",0,[["_isOpen",5],["close",6],["dismissible",1,0,1,3],["isOpen",6],["open",1,0,1,3],["show",6],["type",1,0,1,2]]],["blaze-alerts","blaze-alerts",0,[["position",1,0,1,2]]],["blaze-avatar","blaze-avatar",0,[["alt",1,0,1,2],["alt2",1,0,"alt-2",2],["size",1,0,1,2],["src",1,0,1,2],["src2",1,0,"src-2",2],["text",1,0,1,2]]],["blaze-badge","blaze-badge",0,[["ghost",1,0,1,3],["rounded",1,0,1,3],["type",1,0,1,2]]],["blaze-breadcrumb","blaze-breadcrumb",0,[["href",1,0,1,2]]],["blaze-breadcrumbs","blaze-breadcrumbs",0,[["el",7]]],["blaze-card","blaze-card"],["blaze-card-body","blaze-card-body"],["blaze-card-footer","blaze-card-footer"],["blaze-card-header","blaze-card-header"],["blaze-drawer","blaze-drawer",0,[["_isOpen",5],["close",6],["dismissible",1,0,1,3],["elem",7],["isOpen",6],["open",1,0,1,3],["position",1,0,1,2],["show",6]]],["blaze-image","blaze-image",0,[["_src",5],["alt",1,0,1,2],["collection",1,0,1,2],["el",7],["filter",1,0,1,2],["height",1,0,1,4],["likes",1,0,1,3],["photo",1,0,1,2],["src",1,0,1,2],["user",1,0,1,2],["width",1,0,1,4]]],["blaze-modal","blaze-modal",0,[["_isOpen",5],["close",6],["dismissible",1,0,1,3],["elem",7],["full",1,0,1,3],["ghost",1,0,1,3],["isOpen",6],["open",1,0,1,3],["show",6]]],["blaze-overlay","blaze-overlay",0,[["open",1,0,1,3]]],["blaze-pagination","blaze-pagination",0,[["_currentPage",5],["currentPage",6],["goToPage",6],["page",1,0,1,4],["pages",1,0,1,4]]],["blaze-panel","blaze-panel",0,[["height",1,0,1,4]]],["blaze-progress","blaze-progress",0,[["rounded",1,0,1,3],["size",1,0,1,2]]],["blaze-progress-bar","blaze-progress-bar",0,[["max",1,0,1,4],["min",1,0,1,4],["type",1,0,1,2],["value",1,0,1,4]]],["blaze-tab","blaze-tab",0,[["disabled",1,0,1,3],["header",1,0,1,2],["open",1,0,1,3],["type",1,0,1,2]]],["blaze-tabs","blaze-tabs",0,[["currentTab",6],["elem",7],["openTab",6],["tabs",5]]],["blaze-toggle","blaze-toggle",0,[["_toggled",5],["isToggled",6],["toggled",1,0,1,3],["type",1,0,1,2]]]],HTMLElement.prototype);