/*! Built with http://stenciljs.com */
const { h } = window.BlazeAtoms;

class AccordionPane {
    constructor() {
        this._isOpen = false;
        this.open = false;
    }
    componentWillLoad() {
        this._isOpen = this.open;
    }
    show() {
        this._isOpen = true;
    }
    close() {
        this._isOpen = false;
    }
    toggle() {
        this._isOpen ? this.close() : this.show();
    }
    isOpen() {
        return this._isOpen;
    }
    render() {
        const isOpenClass = this._isOpen ? 'c-card__control--active' : '';
        return ([
            h("button", { role: "heading", "aria-expanded": this._isOpen, class: `c-card__control ${isOpenClass}`, onClick: () => this.toggle() }, this.header),
            h("section", { "aria-hidden": !this._isOpen, class: "c-card__item c-card__item--pane" },
                h("slot", null))
        ]);
    }
    static get is() { return "blaze-accordion-pane"; }
    static get properties() { return {
        "_isOpen": {
            "state": true
        },
        "close": {
            "method": true
        },
        "header": {
            "type": String,
            "attr": "header"
        },
        "isOpen": {
            "method": true
        },
        "open": {
            "type": Boolean,
            "attr": "open"
        },
        "show": {
            "method": true
        }
    }; }
}

export { AccordionPane as BlazeAccordionPane };
