/*! Built with http://stenciljs.com */
const { h } = window.BlazeAtoms;

class Tabs {
    componentWillLoad() {
        this.tabs = Array.from(this.elem.querySelectorAll('blaze-tab'));
    }
    currentTab() {
        return this.tabs.findIndex(tab => tab.open);
    }
    openTab(tabIndex) {
        if (!this.tabs[tabIndex].disabled) {
            this.tabs = this.tabs.map(tab => {
                tab.open = false;
                return tab;
            });
            this.tabs[tabIndex].open = true;
        }
    }
    render() {
        return (h("div", { class: "c-tabs" },
            h("div", { role: "tablist", class: "c-tabs" },
                h("div", { class: "c-tabs__nav" },
                    h("div", { class: "c-tabs__headings" }, this.tabs.map((tab, i) => {
                        const openClass = tab.open ? 'c-tab-heading--active' : '';
                        const typeClass = tab.type ? `c-tab-heading--${tab.type}` : '';
                        return (h("button", { role: "tab", disabled: tab.disabled, class: `c-tab-heading ${typeClass} ${openClass}`, onClick: () => this.openTab(i) }, tab.header));
                    }))),
                h("slot", null))));
    }
    static get is() { return "blaze-tabs"; }
    static get properties() { return {
        "currentTab": {
            "method": true
        },
        "elem": {
            "elementRef": true
        },
        "openTab": {
            "method": true
        },
        "tabs": {
            "state": true
        }
    }; }
}

export { Tabs as BlazeTabs };
