export class Drawer {
    constructor() {
        this.open = false;
        this.dismissible = false;
        this.position = 'bottom';
        this._isOpen = false;
    }
    close() {
        this._isOpen = false;
    }
    show() {
        this._isOpen = true;
    }
    isOpen() {
        return this._isOpen;
    }
    componentWillLoad() {
        this._isOpen = this.open;
    }
    dismiss() {
        if (this.dismissible)
            this.close();
    }
    render() {
        const drawerIsOpenClass = this._isOpen ? 'o-drawer--visible' : '';
        return ([
            h("blaze-overlay", { "aria-hidden": true, open: this._isOpen, onClick: () => this.dismiss() }),
            h("aside", { "aria-expanded": this.isOpen, class: `o-drawer o-drawer--${this.position} ${drawerIsOpenClass}` },
                h("slot", null))
        ]);
    }
    static get is() { return "blaze-drawer"; }
    static get properties() { return {
        "_isOpen": {
            "state": true
        },
        "close": {
            "method": true
        },
        "dismissible": {
            "type": Boolean,
            "attr": "dismissible"
        },
        "elem": {
            "elementRef": true
        },
        "isOpen": {
            "method": true
        },
        "open": {
            "type": Boolean,
            "attr": "open"
        },
        "position": {
            "type": String,
            "attr": "position"
        },
        "show": {
            "method": true
        }
    }; }
}
