export class ProgressBar {
    constructor() {
        this.min = 0;
        this.max = 100;
    }
    render() {
        const typeClass = this.type ? `c-progress__bar--${this.type}` : '';
        const percentage = ((this.value - this.min) / (this.max - this.min)) * 100;
        return (h("div", { role: "progressbar", "aria-valuenow": this.value, "aria-valuemin": this.min, "aria-valuemax": this.max, style: { width: `${percentage}%` }, class: `c-progress__bar ${typeClass}` },
            h("slot", null)));
    }
    static get is() { return "blaze-progress-bar"; }
    static get properties() { return {
        "max": {
            "type": Number,
            "attr": "max"
        },
        "min": {
            "type": Number,
            "attr": "min"
        },
        "type": {
            "type": String,
            "attr": "type"
        },
        "value": {
            "type": Number,
            "attr": "value"
        }
    }; }
}
