/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var AccordionPane = /** @class */ (function () {
    function AccordionPane() {
        this._isOpen = false;
        this.open = false;
    }
    AccordionPane.prototype.componentWillLoad = function () {
        this._isOpen = this.open;
    };
    AccordionPane.prototype.show = function () {
        this._isOpen = true;
    };
    AccordionPane.prototype.close = function () {
        this._isOpen = false;
    };
    AccordionPane.prototype.toggle = function () {
        this._isOpen ? this.close() : this.show();
    };
    AccordionPane.prototype.isOpen = function () {
        return this._isOpen;
    };
    AccordionPane.prototype.render = function () {
        var _this = this;
        var isOpenClass = this._isOpen ? 'c-card__control--active' : '';
        return ([
            h("button", { role: "heading", "aria-expanded": this._isOpen, class: "c-card__control " + isOpenClass, onClick: function () { return _this.toggle(); } }, this.header),
            h("section", { "aria-hidden": !this._isOpen, class: "c-card__item c-card__item--pane" }, h("slot", null))
        ]);
    };
    Object.defineProperty(AccordionPane, "is", {
        get: function () { return "blaze-accordion-pane"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(AccordionPane, "properties", {
        get: function () {
            return {
                "_isOpen": {
                    "state": true
                },
                "close": {
                    "method": true
                },
                "header": {
                    "type": String,
                    "attr": "header"
                },
                "isOpen": {
                    "method": true
                },
                "open": {
                    "type": Boolean,
                    "attr": "open"
                },
                "show": {
                    "method": true
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return AccordionPane;
}());
export { AccordionPane as BlazeAccordionPane };
