/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Alert = /** @class */ (function () {
    function Alert() {
        this.type = '';
        this.dismissible = false;
        this.open = false;
        this._isOpen = false;
    }
    Alert.prototype.close = function () {
        this._isOpen = false;
    };
    Alert.prototype.show = function () {
        this._isOpen = true;
    };
    Alert.prototype.isOpen = function () {
        return this._isOpen;
    };
    Alert.prototype.componentWillLoad = function () {
        this._isOpen = this.open;
    };
    Alert.prototype.render = function () {
        var _this = this;
        var isOpenClass = !this._isOpen ? 'u-display-none' : '';
        var typeClass = this.type ? "c-alert--" + this.type : '';
        return (h("div", { role: "alert", hidden: !this._isOpen, class: "c-alert " + typeClass + " " + isOpenClass }, this.dismissible &&
            h("button", { class: "c-button c-button--close", onClick: function () { return _this.close(); } }, "\u00D7"), h("slot", null)));
    };
    Object.defineProperty(Alert, "is", {
        get: function () { return "blaze-alert"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Alert, "properties", {
        get: function () {
            return {
                "_isOpen": {
                    "state": true
                },
                "close": {
                    "method": true
                },
                "dismissible": {
                    "type": Boolean,
                    "attr": "dismissible"
                },
                "isOpen": {
                    "method": true
                },
                "open": {
                    "type": Boolean,
                    "attr": "open"
                },
                "show": {
                    "method": true
                },
                "type": {
                    "type": String,
                    "attr": "type"
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return Alert;
}());
export { Alert as BlazeAlert };
