// BlazeAtoms: Custom Elements Define Library, ES Module/ES5 Target
import { defineCustomElement } from './blaze-atoms.core.js';
import {
  Accordion,
  AccordionPane,
  Address,
  AddressHeading,
  Alert,
  Alerts,
  Avatar,
  Badge,
  Breadcrumb,
  Breadcrumbs,
  Card,
  CardBody,
  CardFooter,
  CardHeader,
  Drawer,
  Image,
  Modal,
  Overlay,
  Pagination,
  Panel,
  Progress,
  ProgressBar,
  Tab,
  Tabs,
  Toggle
} from './blaze-atoms.components.js';

export function defineCustomElements(window, opts) {
  defineCustomElement(window, [
    Accordion,
    AccordionPane,
    Address,
    AddressHeading,
    Alert,
    Alerts,
    Avatar,
    Badge,
    Breadcrumb,
    Breadcrumbs,
    Card,
    CardBody,
    CardFooter,
    CardHeader,
    Drawer,
    Image,
    Modal,
    Overlay,
    Pagination,
    Panel,
    Progress,
    ProgressBar,
    Tab,
    Tabs,
    Toggle
  ], opts);
}