/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Drawer = /** @class */ (function () {
    function Drawer() {
        this.open = false;
        this.dismissible = false;
        this.position = 'bottom';
        this._isOpen = false;
    }
    Drawer.prototype.close = function () {
        this._isOpen = false;
    };
    Drawer.prototype.show = function () {
        this._isOpen = true;
    };
    Drawer.prototype.isOpen = function () {
        return this._isOpen;
    };
    Drawer.prototype.componentWillLoad = function () {
        this._isOpen = this.open;
    };
    Drawer.prototype.dismiss = function () {
        if (this.dismissible)
            this.close();
    };
    Drawer.prototype.render = function () {
        var _this = this;
        var drawerIsOpenClass = this._isOpen ? 'o-drawer--visible' : '';
        return ([
            h("blaze-overlay", { "aria-hidden": true, open: this._isOpen, onClick: function () { return _this.dismiss(); } }),
            h("aside", { "aria-expanded": this.isOpen, class: "o-drawer o-drawer--" + this.position + " " + drawerIsOpenClass }, h("slot", null))
        ]);
    };
    Object.defineProperty(Drawer, "is", {
        get: function () { return "blaze-drawer"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Drawer, "properties", {
        get: function () {
            return {
                "_isOpen": {
                    "state": true
                },
                "close": {
                    "method": true
                },
                "dismissible": {
                    "type": Boolean,
                    "attr": "dismissible"
                },
                "elem": {
                    "elementRef": true
                },
                "isOpen": {
                    "method": true
                },
                "open": {
                    "type": Boolean,
                    "attr": "open"
                },
                "position": {
                    "type": String,
                    "attr": "position"
                },
                "show": {
                    "method": true
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return Drawer;
}());
export { Drawer as BlazeDrawer };
