/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Modal = /** @class */ (function () {
    function Modal() {
        this.ghost = false;
        this.full = false;
        this.open = false;
        this.dismissible = false;
        this._isOpen = false;
    }
    Modal.prototype.close = function () {
        this._isOpen = false;
    };
    Modal.prototype.show = function () {
        this._isOpen = true;
    };
    Modal.prototype.isOpen = function () {
        return this._isOpen;
    };
    Modal.prototype.componentWillLoad = function () {
        this._isOpen = this.open;
    };
    Modal.prototype.dismiss = function () {
        if (this.dismissible)
            this.close();
    };
    Modal.prototype.render = function () {
        var _this = this;
        var ghostClass = this.ghost ? "o-modal--ghost" : '';
        var fullClass = this.full ? "o-modal--full" : '';
        var modalIsOpenClass = this._isOpen ? 'o-modal--visible' : '';
        return ([
            h("blaze-overlay", { "aria-hidden": true, open: this._isOpen, onClick: function () { return _this.dismiss(); } }),
            h("div", { role: "dialog", class: "o-modal " + ghostClass + " " + fullClass + " " + modalIsOpenClass }, this.dismissible &&
                h("button", { type: "button", class: "c-button c-button--close", onClick: function () { return _this.close(); } }, "\u00D7"), h("slot", null))
        ]);
    };
    Object.defineProperty(Modal, "is", {
        get: function () { return "blaze-modal"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Modal, "properties", {
        get: function () {
            return {
                "_isOpen": {
                    "state": true
                },
                "close": {
                    "method": true
                },
                "dismissible": {
                    "type": Boolean,
                    "attr": "dismissible"
                },
                "elem": {
                    "elementRef": true
                },
                "full": {
                    "type": Boolean,
                    "attr": "full"
                },
                "ghost": {
                    "type": Boolean,
                    "attr": "ghost"
                },
                "isOpen": {
                    "method": true
                },
                "open": {
                    "type": Boolean,
                    "attr": "open"
                },
                "show": {
                    "method": true
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return Modal;
}());
export { Modal as BlazeModal };
