/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Pagination = /** @class */ (function () {
    function Pagination() {
        this.page = 1;
        this.pages = 1;
    }
    Pagination.prototype.goToPage = function (page) {
        if (page > 0 && page <= this.pages) {
            this._currentPage = page;
            this.onPageChange.emit(this._currentPage);
        }
    };
    Pagination.prototype.currentPage = function () {
        return this._currentPage;
    };
    Pagination.prototype.componentWillLoad = function () {
        this._currentPage = this.page;
    };
    Pagination.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "c-pagination" }, h("div", { class: "c-pagination__controls c-pagination__controls--backward" }, h("button", { class: "c-pagination__control", onClick: function () { return _this.goToPage(1); }, disabled: this._currentPage === 1 }, "\u00AB"), h("button", { class: "c-pagination__control", onClick: function () { return _this.goToPage(_this._currentPage - 1); }, disabled: this._currentPage === 1 }, "\u2039")), h("div", { class: "c-pagination__controls" }, this._currentPage > 1 && h("span", { class: "c-pagination__ellipsis" }, "\u2026"), this._currentPage > 1 && h("button", { onClick: function () { return _this.goToPage(_this._currentPage - 1); }, class: "c-pagination__page" }, this._currentPage - 1), h("button", { class: "c-pagination__page c-pagination__page--current" }, this._currentPage), this._currentPage < this.pages && h("button", { onClick: function () { return _this.goToPage(_this._currentPage + 1); }, class: "c-pagination__page" }, this._currentPage + 1), this._currentPage < this.pages && h("span", { class: "c-pagination__ellipsis" }, "\u2026")), h("div", { class: "c-pagination__controls c-pagination__controls--forward" }, h("button", { class: "c-pagination__control", onClick: function () { return _this.goToPage(_this._currentPage + 1); }, disabled: this._currentPage === this.pages }, "\u203A"), h("button", { class: "c-pagination__control", onClick: function () { return _this.goToPage(_this.pages); }, disabled: this._currentPage === this.pages }, "\u00BB"))));
    };
    Object.defineProperty(Pagination, "is", {
        get: function () { return "blaze-pagination"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Pagination, "properties", {
        get: function () {
            return {
                "_currentPage": {
                    "state": true
                },
                "currentPage": {
                    "method": true
                },
                "goToPage": {
                    "method": true
                },
                "page": {
                    "type": Number,
                    "attr": "page"
                },
                "pages": {
                    "type": Number,
                    "attr": "pages"
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Pagination, "events", {
        get: function () {
            return [{
                    "name": "onPageChange",
                    "method": "onPageChange",
                    "bubbles": true,
                    "cancelable": true,
                    "composed": true
                }];
        },
        enumerable: true,
        configurable: true
    });
    return Pagination;
}());
export { Pagination as BlazePagination };
