/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var ProgressBar = /** @class */ (function () {
    function ProgressBar() {
        this.min = 0;
        this.max = 100;
    }
    ProgressBar.prototype.render = function () {
        var typeClass = this.type ? "c-progress__bar--" + this.type : '';
        var percentage = ((this.value - this.min) / (this.max - this.min)) * 100;
        return (h("div", { role: "progressbar", "aria-valuenow": this.value, "aria-valuemin": this.min, "aria-valuemax": this.max, style: { width: percentage + "%" }, class: "c-progress__bar " + typeClass }, h("slot", null)));
    };
    Object.defineProperty(ProgressBar, "is", {
        get: function () { return "blaze-progress-bar"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ProgressBar, "properties", {
        get: function () {
            return {
                "max": {
                    "type": Number,
                    "attr": "max"
                },
                "min": {
                    "type": Number,
                    "attr": "min"
                },
                "type": {
                    "type": String,
                    "attr": "type"
                },
                "value": {
                    "type": Number,
                    "attr": "value"
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return ProgressBar;
}());
export { ProgressBar as BlazeProgressBar };
