/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Tabs = /** @class */ (function () {
    function Tabs() {
    }
    Tabs.prototype.componentWillLoad = function () {
        this.tabs = Array.from(this.elem.querySelectorAll('blaze-tab'));
    };
    Tabs.prototype.currentTab = function () {
        return this.tabs.findIndex(function (tab) { return tab.open; });
    };
    Tabs.prototype.openTab = function (tabIndex) {
        if (!this.tabs[tabIndex].disabled) {
            this.tabs = this.tabs.map(function (tab) {
                tab.open = false;
                return tab;
            });
            this.tabs[tabIndex].open = true;
        }
    };
    Tabs.prototype.render = function () {
        var _this = this;
        return (h("div", { class: "c-tabs" }, h("div", { role: "tablist", class: "c-tabs" }, h("div", { class: "c-tabs__nav" }, h("div", { class: "c-tabs__headings" }, this.tabs.map(function (tab, i) {
            var openClass = tab.open ? 'c-tab-heading--active' : '';
            var typeClass = tab.type ? "c-tab-heading--" + tab.type : '';
            return (h("button", { role: "tab", disabled: tab.disabled, class: "c-tab-heading " + typeClass + " " + openClass, onClick: function () { return _this.openTab(i); } }, tab.header));
        }))), h("slot", null))));
    };
    Object.defineProperty(Tabs, "is", {
        get: function () { return "blaze-tabs"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Tabs, "properties", {
        get: function () {
            return {
                "currentTab": {
                    "method": true
                },
                "elem": {
                    "elementRef": true
                },
                "openTab": {
                    "method": true
                },
                "tabs": {
                    "state": true
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return Tabs;
}());
export { Tabs as BlazeTabs };
