/*! Built with http://stenciljs.com */
import { h } from './blaze-atoms.core.js';
var Toggle = /** @class */ (function () {
    function Toggle() {
        this.toggled = false;
        this._toggled = false;
    }
    Toggle.prototype.componentDidLoad = function () {
        this._toggled = this.toggled;
    };
    Toggle.prototype.isToggled = function () {
        return this._toggled;
    };
    Toggle.prototype.toggle = function (e) {
        e.preventDefault();
        this._toggled = !this._toggled;
    };
    Toggle.prototype.render = function () {
        var _this = this;
        var type = this.type ? "c-toggle--" + this.type : '';
        return (h("label", { class: "c-toggle " + type, onClick: function (e) { return _this.toggle(e); } }, h("input", { type: "checkbox", "aria-checked": this._toggled, checked: this._toggled }), h("div", { class: "c-toggle__track" }, h("div", { class: "c-toggle__handle" })), h("slot", null)));
    };
    Object.defineProperty(Toggle, "is", {
        get: function () { return "blaze-toggle"; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Toggle, "properties", {
        get: function () {
            return {
                "_toggled": {
                    "state": true
                },
                "isToggled": {
                    "method": true
                },
                "toggled": {
                    "type": Boolean,
                    "attr": "toggled"
                },
                "type": {
                    "type": String,
                    "attr": "type"
                }
            };
        },
        enumerable: true,
        configurable: true
    });
    return Toggle;
}());
export { Toggle as BlazeToggle };
